# https://pypi.io/packages/source/S/SQLAlchemy/SQLAlchemy-1.2.6.tar.gz
%define module sqlalchemy

Name:           python-%{module}
Version:        1.2.6
Release:        %mkrel 1
Summary:        SQL toolkit and object relational mapper for Python

License:        MIT
Group:          Development/Python
URL:            http://www.sqlalchemy.org/
Source0:        SQLAlchemy-%{version}.tar.xz

BuildRequires:  python-devel
BuildRequires:	python-setuptools
BuildRequires:	python3-devel
BuildRequires:  python3-setuptools

%description
%{summary}.

%package -n python3-%{module}
Summary:        SQL toolkit and object relational mapper for Python
Group:          Development/Python

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn SQLAlchemy-%{version}
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python_sitearch}
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}
popd
rm -rf doc/build

%files
%doc AUTHORS CHANGES doc examples LICENSE PKG-INFO README{,.dialects}.rst
%{python_sitearch}/*

%files -n python3-%{module}
%doc AUTHORS CHANGES doc examples LICENSE PKG-INFO README{,.dialects}.rst
%{python3_sitearch}/*

%changelog
* Sun Jul 01 2018 adrianomorselli <adrianomorselli> 1.2.6-1uplos2018
- update, added python3-%{module} package
